org.deidentifier.arx.aggregates.classification

## Class ClassificationDataSpecification

- java.lang.Object
- - org.deidentifier.arx.aggregates.classification.ClassificationDataSpecification

    public class ClassificationDataSpecification
    extends java.lang.Object

A complete specification of all input and output data

Author:
  Fabian Prasser

### Field Summary

Fields
`int` `classIndex` Index
`java.util.Map<java.lang.String,java.lang.Integer>` `classMap` Map
`int[]` `featureIndices` Indexes
`ClassificationFeatureMetadata[]` `featureMetadata` Feature meta data

### Constructor Summary

Constructors
Constructor and Description
`ClassificationDataSpecification(DataHandleInternal inputFeatureHandle, DataHandleInternal outputFeatureHandle, ARXFeatureScaling scaling, java.lang.String[] features, java.lang.String clazz, WrappedBoolean interrupt)` Creates a new instance

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### classIndex

    public final int classIndex

Index

#### classMap

    public final java.util.Map<java.lang.String,java.lang.Integer> classMap

Map

#### featureIndices

    public final int[] featureIndices

Indexes

#### featureMetadata

    public final ClassificationFeatureMetadata[] featureMetadata

Feature meta data

### Constructor Detail

#### ClassificationDataSpecification

    public ClassificationDataSpecification(DataHandleInternal inputFeatureHandle,
                                           DataHandleInternal outputFeatureHandle,
                                           ARXFeatureScaling scaling,
                                           java.lang.String[] features,
                                           java.lang.String clazz,
                                           WrappedBoolean interrupt)

Creates a new instance

Parameters:
  `inputFeatureHandle` -
  `outputFeatureHandle` -
  `scaling` -
  `classHandle` -
  `features` -
  `clazz` -
  `interrupt` -